Get a single clip project with its clips
Required scope: clips.read
This method requires authentication
Retrieve a clip project by its ID, including all generated clips and their posting history.
curl -H "Authorization: Bearer [access token]" \ https://api.restream.io/v2/user/clips/projects/{projectId}
Path Parameters:
projectId
{ "generatingClipsNow": false, "clips": [ { "clipId": "6ece2c7f-6fc5-4545-8cec-37db6a79a0e0", "name": "Clip title", "viralityScore": 84, "viralityScoreExplanation": "Virality score explanation text", "transcriptText": "Transcript of the clip content", "sourceStartSeconds": 411, "sourceEndSeconds": 469, "thumbnailUrl": "https://example.com/thumbnail.jpg", "favouritedAt": null, "createdAt": "2026-01-28T15:56:37.452Z" } ], "postedClips": [ { "clipId": "6ece2c7f-6fc5-4545-8cec-37db6a79a0e0", "platform": "YouTube", "channelId": 16034701, "status": "Published", "createdAt": "2026-02-06T18:11:53.057Z", "platformUrl": "https://example.com/video" } ] }
{ "error": { "statusCode": 401, "status": 401, "code": 401, "message": "Invalid token: access token is invalid", "name": "invalid_token" } }